Go-Plus, Autocomplete+ and autocomplete seems not working


#1

Hi,

I’ve just installed atom on my mac and I wanted to start writing a GO app but I’m stuck with some not working packages.
I installed autocomplete+ and go-plus packages but I can’t see any (auto)-completion at all and I don’t know how to check if stuff are installed correctly or what’s going on.

I tried autocomplete+ with a PHP file and it seems working, but I can’t say the same for js or go.

any hint?

thanks


#2

It sounds like the autocomplete-plus package is working but not the go-plus provider? Have you looked at the go-plus README to see if there are any configuration options that would make sense as the source of the problem? For instance, it says if you have a non-standard Go installation path, you might need to set the go-plus.goInstallation setting to point it to your installation of Go.


#3

I tried setting things up, but as I said even the autocomplete and autocomplete+ for js is not working.

Any other suggestion?

thanks


#4

In the Atom console I can see this, so I guess the settings are correct:

Go: go1.4.2 darwin/amd64 (@/usr/local/bin/go)
GOPATH: /Users/me/code/go
Cover Tool: /usr/local/Cellar/go/1.4.2/libexec/pkg/tool/darwin_amd64/cover
Vet Tool: /usr/local/Cellar/go/1.4.2/libexec/pkg/tool/darwin_amd64/vet
Format Tool: /Users/me/code/go/bin/goimports
Lint Tool: /Users/me/code/go/bin/golint
Gocode Tool: /Users/me/code/go/bin/gocode
Gocode Status: Enabled
Oracle Tool: /Users/me/code/go/bin/oracle
Git: /usr/bin/git
Mercurial: /usr/local/Cellar/mercurial/3.3.3/bin/hg
PATH: /Users/me/.rvm/gems/ruby-1.9.3-p547/bin:/Users/me/.rvm/gems/ruby-1.9.3-p547@global/bin:/Users/me/.rvm/rubies/ruby-1.9.3-p547/bin:/usr/local/sbin:/Users/me/bin:/usr/local/opt/php55/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Users/me/.rvm/bin:/usr/local/Cellar/go/1.3.3/libexec/bin
Atom: 0.194.0 (darwin x64 14.3.0)


#5

What do you mean by this? The autocomplete-plus package overrides the autocomplete package. So I wouldn’t expect anything from autocomplete to work if you have autocomplete-plus installed. You also seemed to imply that something from autocomplete-plus works … so I’m not sure I understand exactly what you’re saying the problem is.


#6

Probably I’m not yet familiar with Atom and the plugin ecosystem, what I was trying to say is that the autocomplete+ plugin seems working just for PHP file and not for Javascript or Go.

So I’m not sure if It’s either a problem with the Go plugin or something else. Unfortunately I don’t have other useful information at the moment and I don’t know how to fix the issue nor where to start to troubleshoot this issue that I have.

thanks


#7

@cirpo go-plus author here. If you are still having issues, please go to https://gitter.im/joefitzgerald/go-plus and I would be happy to help you out interactively.